/**
 * 创建一个 html 元素
 * @param tagName 标签名
 * @param init 样式类名，或者为有一个 html 元素作为参数的函数
 * @param children 子元素
 */
export function createElement<K extends keyof HTMLElementTagNameMap>(tagName: K, init?: string | ((element: HTMLElementTagNameMap[K]) => void), ...children: (Node | string)[]): HTMLElementTagNameMap[K];